<template>
  <form  @submit.prevent="$v.$touch(); if($v.$error === false){addItem()};"
    v-if="hideLevelOneForm">
    <div class="defaultInputContainer"
      v-bind:class="{ 'form-group--error': $v.itemName.$error }">
      <input id="itemName"
        class="inputDefault"
        type="text"
        v-model.trim="itemName"
        @input="$v.itemName.$touch()"
        v-on:input="$v.itemName.$touch"
        v-bind:class="{
          error: $v.itemName.$error,
          valid: $v.itemName.$dirty && !$v.itemName.$invalid
        }"/>
          <label for="itemName"
            class="defaultInputPlaceholder">
            Item name
          </label>
          <span class="formErrorMessage"
            v-if="$v.itemName.$error && $v.itemName.$dirty">
            Required
          </span>
          <v-icon style="color:#5A5"
            v-if="$v.itemName.$dirty && !$v.itemName.$invalid">
            check_circle
          </v-icon>
          <v-icon style="color:#FF3D00"
            v-if="$v.itemName.$error && $v.itemName.$dirty">
            cancel
          </v-icon>
    </div>
    <!-- <div class="defaultInputContainer"
      v-bind:class="{ 'form-group--error': $v.numberOfItems.$error }">
      <input id="numberOfItems"
        class="inputDefault"
        type="number"
        v-model.trim="numberOfItems"
        @input="$v.numberOfItems.$touch()"
        v-on:input="$v.numberOfItems.$touch"
        v-bind:class="{
          error: $v.numberOfItems.$error,
          valid: $v.numberOfItems.$dirty && !$v.numberOfItems.$invalid
        }"/>
          <label for="numberOfItems"
            class="defaultInputPlaceholder">
            Number of items
          </label>
          <span class="formErrorMessage"
            v-if="$v.numberOfItems.$error && $v.numberOfItems.$dirty">
            Required
          </span>
          <v-icon style="color:#5A5"
            v-if="$v.numberOfItems.$dirty && !$v.numberOfItems.$invalid">
            check_circle
          </v-icon>
          <v-icon style="color:#FF3D00"
            v-if="$v.numberOfItems.$error && $v.numberOfItems.$dirty">
            cancel
          </v-icon>
    </div> -->
    <div class="defaultInputContainer"
      style="width:90%;margin-top:-10px;"
      v-bind:class="{ 'form-group--error': $v.date.$error }">
      <v-menu
        :close-on-content-click="false"
        v-model="menu2"
        :nudge-right="40"
        lazy
        transition="scale-transition"
        offset-y
        full-width
        max-width="290px"
        min-width="290px">
        <v-text-field
          slot="activator"
          v-model="date"
          label="Expected sales date"
          prepend-icon="event"
          readonly>
        </v-text-field>
        <v-date-picker v-model.trim="date"
          no-title
          @input="$refs.menu2.save(date); $v.date.$touch()">
        </v-date-picker>
      </v-menu>
      <span style="margin-top: -30px;position: absolute;color:#FF6E40"
        v-if="$v.date.$error && $v.date.$dirty">
        Required
      </span>
    </div>
    <div>
      <v-btn depressed
        block
        color="darkSecondary"
        dark
        style="width:94%;margin:0 auto;"
        type="submit">
        NEXT
      </v-btn>
      <br/><br/>
    </div>
  </form>
</template>
<script>
import { required } from 'vuelidate/lib/validators'
export default {
  name: 'ItemRegistration',
  data: () => ({
    itemName: undefined,
    // numberOfItems: undefined,
    expectedSalesDate: undefined,
    date: null,
    menu: false,
    modal: false,
    menu2: false,
    dateFormatted: null,
    menu1: false
  }),
  methods: {
    addItem () {
      let registrationResult = {
        itemName: this.itemName,
        // numberOfItems: this.numberOfItems,
        expectedSalesDate: this.date
      }
      this.$store.commit('ITEM_REGISTRATION_FORM_COMPLETE', registrationResult)
    }
  },
  computed: {
    hideLevelOneForm () {
      return !this.$store.state.itemRegistrationModule.itemRegistrationFormValid
    }
  },
  validations: {
    itemName: {
      required
    },
    // numberOfItems: {
    //   required
    // },
    date: {
      required
    }
  }
}
</script>
